# SPDX-FileCopyrightText: 2026 FocusFlow contributors
# SPDX-License-Identifier: AGPL-3.0-only

include: package:lints/recommended.yaml

analyzer:
  exclude:
    - .dart_tool/**
    - archive/**
    - builds/**
    - coverage/**
    - doc/api/**
    - logging_handoff_with_logging/**
  language:
    strict-casts: true
    strict-inference: true
    strict-raw-types: true

linter:
  rules:
    public_member_api_docs: true
    prefer_final_locals: true
    prefer_final_fields: true
    avoid_print: true
